#!/bin/bash

# dnswl.org - Protect against false positives
#
# Example run script for the various updates. This script
# is suitable to be called from the system cron. Set the
# configuration options in this file accordingly. 
#
# Copyright dnswl.org, Originally written by Matthias Leisi
# Licensed under the GPL v2.
#
# $Id: dnswl.sh,v 1.1 2006/11/26 20:35:32 mleisi Exp $
#

# Path to dnswl-lib.pl
LIBPATH=/usr/share/dnswl

# Path to the program files
PROGPATH=$LIBPATH

# Configuration file, fully qualified
CONFIG=/etc/dnswl.conf

# User to run as
USER=dnswl

if ! [ -f $LIBPATH/dnswl-lib.pl ]; then
	echo "LIBPATH not set or not correct"
	exit 5
fi

if ! [ -f $CONFIG ]; then
	echo "CONFIG not set or not correct"
	exit 5
fi


export PERL5LIB=$LIBPATH

case "$1" in
	rbldnsd)
		su $USER -s /bin/sh -c "$PROGPATH/rbldnsd-update-dnswl.pl $CONFIG"
	;;
	
	postfix)
		su $USER -s /bin/sh -c "$PROGPATH/postfix-update-dnswl.pl $CONFIG"
	;;

	bind)
		echo "Bind update not yet implemented"
	;;
	
	*)
		echo "Usage: $0 [rbldnsd|postfix|bind]"
		exit 1;
	;;
esac

# EOF
